# pandas.core.window.expanding.Expanding.count

Expanding.count()

  Calculate the expanding count of non NaN observations.

  Returns
    Series or DataFrame

      Return type is the same as the original object.

  See also

  `pandas.Series.expanding`

    Calling expanding with Series data.

  `pandas.DataFrame.expanding`

    Calling expanding with DataFrames.

  `pandas.Series.count`

    Aggregating count for Series.

  `pandas.DataFrame.count`

    Aggregating count for DataFrame.